"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _reactIntl = require("react-intl");

var _default = {
  pahmaDimensions: {
    values: ['angle', 'area', 'circumference', 'depth', 'diameter', 'duration', 'filesize', 'height', 'length', 'linear', 'memorysize', 'recording speed', 'runningTime', 'thickness', 'volume', 'weight', 'width'],
    messages: (0, _reactIntl.defineMessages)({
      depth: {
        "id": "option.pahmaDimensions.depth",
        "defaultMessage": "depth/thickness"
      },
      filesize: {
        "id": "option.pahmaDimensions.filesize",
        "defaultMessage": "file size"
      },
      linear: {
        "id": "option.pahmaDimensions.linear",
        "defaultMessage": "\"linear\" (coin diameter)"
      },
      memorysize: {
        "id": "option.pahmaDimensions.memorysize",
        "defaultMessage": "memory size"
      },
      runningTime: {
        "id": "option.pahmaDimensions.runningTime",
        "defaultMessage": "running time"
      },
      width: {
        "id": "option.pahmaDimensions.width",
        "defaultMessage": "width/breadth"
      }
    })
  },
  pahmaMeasurementUnits: {
    values: ['bytes', 'caratsMass', 'caratsPurity', 'centimeters', 'squareCentimeters', 'cubicCentimeters', 'degrees', 'feet', 'squareFeet', 'cubicFeet', 'grams', 'inches', 'squareInches', 'cubicInches', 'kilograms', 'liters', 'pounds', 'millimeters', 'meters', 'minutes', 'ounces', 'pints', 'pixels', 'recording speed', 'rotationsPerMinute', 'seconds', 'yards'],
    messages: (0, _reactIntl.defineMessages)({
      bytes: {
        "id": "option.pahmaMeasurementUnits.bytes",
        "defaultMessage": "B (bytes)"
      },
      caratsMass: {
        "id": "option.pahmaMeasurementUnits.caratsMass",
        "defaultMessage": "CD (carats [mass])"
      },
      caratsPurity: {
        "id": "option.pahmaMeasurementUnits.caratsPurity",
        "defaultMessage": "ct (carats [purity])"
      },
      centimeters: {
        "id": "option.pahmaMeasurementUnits.centimeters",
        "defaultMessage": "cm (centimeters)"
      },
      squareCentimeters: {
        "id": "option.pahmaMeasurementUnits.squareCentimeters",
        "defaultMessage": "cm\xB2 (square centimeters)"
      },
      cubicCentimeters: {
        "id": "option.pahmaMeasurementUnits.cubicCentimeters",
        "defaultMessage": "cm\xB3 (cubic centimeters)"
      },
      degrees: {
        "id": "option.pahmaMeasurementUnits.degrees",
        "defaultMessage": "\xB0 (degrees)"
      },
      feet: {
        "id": "option.pahmaMeasurementUnits.feet",
        "defaultMessage": "ft (feet)"
      },
      squareFeet: {
        "id": "option.pahmaMeasurementUnits.squareFeet",
        "defaultMessage": "ft\xB2 (square feet)"
      },
      cubicFeet: {
        "id": "option.pahmaMeasurementUnits.cubicFeet",
        "defaultMessage": "ft\xB3 (cubic feet)"
      },
      grams: {
        "id": "option.pahmaMeasurementUnits.grams",
        "defaultMessage": "g (grams)"
      },
      inches: {
        "id": "option.pahmaMeasurementUnits.inches",
        "defaultMessage": "in (inches)"
      },
      squareInches: {
        "id": "option.pahmaMeasurementUnits.squareInches",
        "defaultMessage": "in\xB2 (square inches)"
      },
      cubicInches: {
        "id": "option.pahmaMeasurementUnits.cubicInches",
        "defaultMessage": "in\xB3 (cubic inches)"
      },
      kilograms: {
        "id": "option.pahmaMeasurementUnits.kilograms",
        "defaultMessage": "kg (kilograms)"
      },
      liters: {
        "id": "option.pahmaMeasurementUnits.liters",
        "defaultMessage": "l (liters)"
      },
      pounds: {
        "id": "option.pahmaMeasurementUnits.pounds",
        "defaultMessage": "lb (pounds)"
      },
      millimeters: {
        "id": "option.pahmaMeasurementUnits.millimeters",
        "defaultMessage": "mm (millimeters)"
      },
      meters: {
        "id": "option.pahmaMeasurementUnits.meters",
        "defaultMessage": "m (meters)"
      },
      minutes: {
        "id": "option.pahmaMeasurementUnits.minutes",
        "defaultMessage": "mins (minutes)"
      },
      ounces: {
        "id": "option.pahmaMeasurementUnits.ounces",
        "defaultMessage": "oz (ounces)"
      },
      pints: {
        "id": "option.pahmaMeasurementUnits.pints",
        "defaultMessage": "pt (pints)"
      },
      pixels: {
        "id": "option.pahmaMeasurementUnits.pixels",
        "defaultMessage": "px (pixels)"
      },
      'recording speed': {
        "id": "option.pahmaMeasurementUnits.recording speed",
        "defaultMessage": "\"recording speed\" (either ips, rpm, or Kroeber notes page number)"
      },
      rotationsPerMinute: {
        "id": "option.pahmaMeasurementUnits.rotationsPerMinute",
        "defaultMessage": "rpm (rotations/minute)"
      },
      seconds: {
        "id": "option.pahmaMeasurementUnits.seconds",
        "defaultMessage": "s (seconds)"
      },
      yards: {
        "id": "option.pahmaMeasurementUnits.yards",
        "defaultMessage": "yds (yards)"
      }
    })
  }
};
exports.default = _default;