"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _reactIntl = require("react-intl");

var _default = configContext => {
  const {
    CompoundInput,
    AutocompleteInput
  } = configContext.inputComponents;
  const {
    configKey: config
  } = configContext.configHelpers;
  return {
    params: {
      [config]: {
        view: {
          type: CompoundInput
        }
      },
      'Start Location': {
        [config]: {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              "id": "field.report.SystematicInventoryHSR.Start Location.name",
              "defaultMessage": "Start location"
            }
          }),
          required: true,
          view: {
            type: AutocompleteInput,
            props: {
              source: 'location/local,location/crate',
              showQuickAdd: false
            }
          }
        }
      },
      'End Location': {
        [config]: {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              "id": "field.report.SystematicInventoryHSR.End Location.name",
              "defaultMessage": "End location"
            }
          }),
          required: true,
          view: {
            type: AutocompleteInput,
            props: {
              source: 'location/local,location/crate',
              showQuickAdd: false
            }
          }
        }
      }
    }
  };
};

exports.default = _default;