"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _reactIntl = require("react-intl");

var _default = configContext => {
  const {
    CompoundInput,
    TermPickerInput,
    DateInput,
    AutocompleteInput
  } = configContext.inputComponents;
  const {
    configKey: config
  } = configContext.configHelpers;
  return {
    params: {
      [config]: {
        view: {
          type: CompoundInput
        }
      },
      AuthBy: {
        [config]: {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              "id": "field.report.pahmaUOCbyApprovalStatus.AuthBy.name",
              "defaultMessage": "Authorized by"
            }
          }),
          view: {
            type: AutocompleteInput,
            props: {
              source: 'person/local,person/shared,organization/local,organization/shared',
              showQuickAdd: false
            }
          }
        }
      },
      AuthStatus: {
        [config]: {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              "id": "field.report.pahmaUOCbyApprovalStatus.AuthStatus.name",
              "defaultMessage": "Authorization status"
            }
          }),
          view: {
            type: TermPickerInput,
            props: {
              source: 'uocauthorizationstatuses'
            }
          }
        }
      },
      StartDate: {
        [config]: {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              "id": "field.report.pahmaUOCbyApprovalStatus.StartDate.name",
              "defaultMessage": "Earliest requested date"
            }
          }),
          view: {
            type: DateInput
          }
        }
      },
      EndDate: {
        [config]: {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              "id": "field.report.pahmaUOCbyApprovalStatus.EndDate.name",
              "defaultMessage": "Latest requested date"
            }
          }),
          view: {
            type: DateInput
          }
        }
      }
    }
  };
};

exports.default = _default;