"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _reactIntl = require("react-intl");

var _default = configContext => {
  const {
    CompoundInput,
    AutocompleteInput,
    DateInput
  } = configContext.inputComponents;
  const {
    configKey: config
  } = configContext.configHelpers;
  return {
    params: {
      [config]: {
        view: {
          type: CompoundInput
        }
      },
      StaffName: {
        [config]: {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              "id": "field.pahmaUoCbyStudentVisits.StaffName.name",
              "defaultMessage": "Staff name"
            }
          }),
          view: {
            type: AutocompleteInput,
            props: {
              source: 'person/local',
              showQuickAdd: false
            }
          }
        }
      },
      VisitStartDate: {
        [config]: {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              "id": "field.pahmaUoCbyStudentVisits.VisitStartDate.name",
              "defaultMessage": "Visit start date"
            }
          }),
          view: {
            type: DateInput
          }
        }
      },
      VisitEndDate: {
        [config]: {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              "id": "field.pahmaUoCbyStudentVisits.VisitEndDate.name",
              "defaultMessage": "Visit end date"
            }
          }),
          view: {
            type: DateInput
          }
        }
      }
    }
  };
};

exports.default = _default;