"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _reactIntl = require("react-intl");

var _utils = require("./utils");

var _default = configContext => {
  const {
    TextInput,
    DateInput
  } = configContext.inputComponents;
  const {
    configKey: config
  } = configContext.configHelpers;
  const {
    formatRefName
  } = configContext.formatHelpers;
  const {
    Immutable
  } = configContext.lib;
  return {
    document: {
      [config]: {
        compute: args => (0, _utils.computeAgreementDate)(args, formatRefName, Immutable)
      },
      'ns2:hits_common': {
        hitNumber: {
          [config]: {
            view: {
              type: TextInput,
              props: null
            }
          }
        },
        internalApprovalGroupList: {
          internalApprovalGroup: {
            internalApprovalStatus: {
              [config]: {
                view: {
                  props: {
                    source: 'pahmahitintapprovaltypes'
                  }
                }
              }
            }
          }
        },
        externalApprovalGroupList: {
          externalApprovalGroup: {
            externalApprovalStatus: {
              [config]: {
                view: {
                  props: {
                    source: 'pahmahitextapprovaltypes'
                  }
                }
              }
            }
          }
        }
      },
      'ns2:hits_pahma': {
        [config]: {
          service: {
            ns: 'http://collectionspace.org/services/hit/local/pahma'
          }
        },
        agreementDate: {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              name: {
                "id": "field.hits_pahma.agreementDate.name",
                "defaultMessage": "Agreement date"
              }
            }),
            view: {
              type: DateInput,
              props: {
                readOnly: true
              }
            }
          }
        }
      }
    }
  };
};

exports.default = _default;