"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _reactIntl = require("react-intl");

var _default = configContext => {
  const {
    TextInput,
    CheckboxInput
  } = configContext.inputComponents;
  const {
    configKey: config
  } = configContext.configHelpers;
  const {
    DATA_TYPE_BOOL
  } = configContext.dataTypes;
  return {
    document: {
      'ns2:locations_common': {
        locTermGroupList: {
          locTermGroup: {
            termName: {
              [config]: {
                searchView: {
                  type: TextInput
                },
                view: {
                  props: {
                    multiline: true
                  }
                }
              }
            }
          }
        }
      },
      'ns2:locations_anthropology': {
        [config]: {
          service: {
            ns: 'http://collectionspace.org/services/location/domain/anthropology'
          }
        },
        locNote: {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              name: {
                "id": "field.locations_anthropology.locNote.name",
                "defaultMessage": "Location note"
              }
            }),
            searchView: {
              type: TextInput
            },
            view: {
              type: TextInput,
              props: {
                multiline: true
              }
            }
          }
        },
        moveableContainer: {
          [config]: {
            dataType: DATA_TYPE_BOOL,
            messages: (0, _reactIntl.defineMessages)({
              name: {
                "id": "field.locations_anthropology.moveableContainer.name",
                "defaultMessage": "Moveable/container"
              }
            }),
            view: {
              type: CheckboxInput
            }
          }
        }
      }
    }
  };
};

exports.default = _default;